ex1-lab

Linux, CentOS, Mac OS X, Windows, 仮想化, Apache等のLinux中心に気になることをメモがわりに・・・

yum updateでエラー「Error: systemd conflicts with initscripts」

      2016/06/23 この記事は約4分で読むことができます。

ServerMan@VPSで、yum update できない事象

ServerMan@VPSを利用していますが、現在、この環境で「yum update」を叩いてカーネルのバージョンアップを含むアップデートがある場合、下記のようなエラーに「Error: systemd conflicts with initscripts-9.49.17-1.el7.x86_64」なります

initscriptsのパッケージは、以下のFAQにあるように起動できなくなるので「initscriptsのパッケージのアップデートから除外しています」

【CentOS7 yum update 後、VPSサーバーにアクセスができなくなった】
http://www-wp.dream.jp/search.php/?p=23141

カーネルアップデートを含む場合は、initscriptsの依存関係でアップデートするとエラーとなるようです。「--skip-broken」オプションを付与して以下のコマンドでアップデートは出来ます。

DTIサポート回答

DTIのサポートにも問い合わせみました、アップデートは「--skip-broken」オプションつけてできるけど、アップデートしたバージョンのOSは動作保証外です。アップデートして正常に動作しない場合は初期すればOKです。初期化したらデータは消えますので注意して下さい
動作保証外だし、「--skip-broken」オプションをつけて、アップデートは見送りました

そのため、お客様ご自身でのOSのアップデート/パッケージのアップデートにつきましては、動作保証およびサポートの対象外となってしまいます事をご留意ください。

そのうえでのご案内となりますが、yum update時にご共有いただいたエラーが発生する点につきましては、お客様のご認識の通り、/etc/yum.confに"exclude=initscripts*"が記載されている場合に発生するエラーとなります。

【CentOS7 yum update 後、VPSサーバーにアクセスができなくなった】
http://www-wp.dream.jp/search.php/?p=23141

なお、ご参考までに表示されるエラーメッセージの通り、「--skip-broken」オプションを付与する事で、yum updateが実行されます。
またはパッケージ単体のアップデートは通常通りアップデートも可能です。

しかしながら、上記いずれの場合も先にご案内の通り弊社ではその動作を保証するものではございません。

万が一、yum updateにより仮想サーバーが正常に可能しなくなった場合、弊社といたしましてはサーバーの初期化を実施いただくというご提案に留まります事を予めご留意いただきますようお願い致します。

【ServersMan@VPSで、OSのバージョンアップはできますか。】
http://www-wp.dream.jp/search.php/?p=2846

【OSの初期化手順】
http://dream.jp/vps/support/manual/mnl_basic_02.html

※初期化により、現在サーバーに保存されている全てのデータが削除されますのでご注意ください。

ServersMan@VPSサービスでは、提供範囲とサポートの範囲が基本的にサーバーの正常稼動のみとなり、サーバーの構築や運用方法につきましては、お客様にて確認していただきますよう、ご案内させていただいておりますことを、何卒ご留意いただきますようお願いいたします。

その為、OSのアップデートや、サーバー内のアプリケーションをアップデートなど、お客様のサーバーに変更を加える際には、バックアップなど、十分な体制で構築/管理/運用をいただけますと幸いでございます。

本件につきましては、お客様のご期待に添うご案内とならない部分もあるかとは存じますが、何卒ご理解賜れますようお願い申しあげます。

2016年6月に再度、DTIに上記の事象が改善されたか問い合わせました。やっぱり改善されてませんね

お問い合わせの件につきまして、initscriptsのアップデートに起因する
問題につきましては、その後のバージョンでも問題が発生する事が報告
されております。

誠に恐縮ではございますが、本事象につきましては基本OSテンプレートから
アップデートされる為に発生する事象であり、yum updateに伴うパッケージ
アップデート後の各種パッケージについての動作保証をしていない事から、
事象解消の予定はございません。

【ServersMan@VPSで、OSのバージョンアップはできますか。】
http://www-wp.dream.jp/search.php/?p=2846

関連記事

ServersMan@VPS initscriptsの不具合で再起動すると外部からのアクセス不可

Server@VPSでyum updateを叩くスクリプト



 - Linux ,